Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.wsdl
Class WsdlLoader

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.wsdl.WsdlLoader

All Implemented Interfaces:
  javax.wsdl.xml.WSDLLocator

Direct Known Subclasses:
  CachedWsdlLoader, UrlWsdlLoader

    public abstract class WsdlLoader

extends java.lang.Object
implements javax.wsdl.xml.WSDLLocator

Abstract WSDLLocator for loading definitions from either URL or cache..

Author:
  ole.matzura

Field Summary
`protected static org.apache.log4j.Logger` | `log`

Constructor Summary
`WsdlLoader(java.lang.String url)`

Method Summary
`abstract boolean` | `abort()`
`static com.eviware.soapui.config.DefinitionCacheConfig` | `cacheWsdl(WsdlLoader loader)`
`org.xml.sax.InputSource` | `getBaseInputSource()`
`java.lang.String` | `getBaseURI()`
`org.xml.sax.InputSource` | `getImportInputSource(java.lang.String parent, java.lang.String imp)`
`java.lang.String` | `getLatestImportURI()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUsername()`
`boolean` | `hasCredentials()`
`abstract boolean` | `isAborted()`
`protected boolean` | `isAbsoluteUrl(java.lang.String tempImp)`
`abstract java.io.InputStream` | `load(java.lang.String url)`
`org.apache.xmlbeans.XmlObject` | `loadXmlObject(java.lang.String url, org.apache.xmlbeans.XmlOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.wsdl.xml.WSDLLocator
`close`

Field Detail

### log

    protected static final org.apache.log4j.Logger log

Constructor Detail

### WsdlLoader

    public WsdlLoader(java.lang.String url)

Method Detail

### getBaseInputSource

    public org.xml.sax.InputSource getBaseInputSource()

  Specified by:
    `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### load

    public abstract java.io.InputStream load(java.lang.String url)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadXmlObject

    public org.apache.xmlbeans.XmlObject loadXmlObject(java.lang.String url,
                                                       org.apache.xmlbeans.XmlOptions options)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getBaseURI

    public java.lang.String getBaseURI()

  Specified by:
    `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

### getImportInputSource

    public org.xml.sax.InputSource getImportInputSource(java.lang.String parent,
                                                        java.lang.String imp)

  Specified by:
    `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### isAbsoluteUrl

    protected boolean isAbsoluteUrl(java.lang.String tempImp)

### getLatestImportURI

    public java.lang.String getLatestImportURI()

  Specified by:
    `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

### hasCredentials

    public boolean hasCredentials()

### getPassword

    public java.lang.String getPassword()

### getUsername

    public java.lang.String getUsername()

### abort

    public abstract boolean abort()

### isAborted

    public abstract boolean isAborted()

### cacheWsdl

    public static com.eviware.soapui.config.DefinitionCacheConfig cacheWsdl(WsdlLoader loader)
                                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.